#include "B4RDefines.h"
namespace B4R {
	void B4RSoftwareSerial::Initialize(ULong BaudRate, Byte ReceivePin, Byte TransmitPin) {
		stream.wrappedStream = serial = new (backend) SoftwareSerial(ReceivePin, TransmitPin);
		serial->begin(BaudRate);
	}
	B4RStream* B4RSoftwareSerial::getStream() {
		return &stream;
	}
	void B4RSoftwareSerial::Close() {
		serial->end();
	}
	bool B4RSoftwareSerial::getListening() {
		return serial->isListening();
	}
	void B4RSoftwareSerial::setListening(bool b) {
		if (b)
			serial->listen();
		else
			serial->stopListening();
	}
}